import { RouteOptions } from "fastify";

import { BASE_URL } from "~/config.js";

const route: RouteOptions = {
  method: "GET",
  url: "/.well-known/nodeinfo",
  handler: async (_, res) => {
    res.send({
      links: [
        {
          href: `${BASE_URL}/nodeinfo/2.0`,
          rel: "http://nodeinfo.diaspora.software/ns/schema/2.0",
        },
      ],
    });
  },
};

export default route;
